सामग्री पर जाएँ

Elevenlabs Music

इंटीग्रेट करें

मॉडल id elevenlabs/music
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.80 1,800 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
ElevenLabs टेक्स्ट से संगीत #music#text-to-music

प्रॉम्प्ट या संरचित कंपोज़िशन प्लान से संचालित टेक्स्ट-टू-म्यूज़िक जनरेटर, जिसमें इंस्ट्रूमेंटल विकल्प है

ElevenLabs · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

88 / 4100

वांछित संगीत का पाठ्य विवरण।

मिलीसेकंड में वैकल्पिक गीत अवधि, 3000 ms से 600000 ms तक; केवल प्रॉम्प्ट का उपयोग करते समय लागू। न दिए जाने पर मॉडल प्रॉम्प्ट से अवधि निर्धारित करता है।

उन्नत output_format · force_instrumental · respect_sections_durations · composition_plan
डिफ़ॉल्ट mp3_44100_128

ऑडियो आउटपुट फ़ॉर्मैट, जो टियर आवश्यकताओं के अधीन है: 192 kbps MP3 के लिए Creator tier या उच्चतर और 44.1 kHz PCM के लिए Pro tier या उच्चतर आवश्यक है। मान `codec_sample_rate_bitrate` का अनुसरण करते हैं; उदाहरण के लिए `mp3_22050_32` 32 kbs पर 22.05 kHz MP3 निर्दिष्ट करता है। Twilio ऑडियो इनपुट के लिए μ-law आमतौर पर उपयोग किया जाता है; इस फ़ॉर्मैट को mu-law भी लिखा जाता है या u-law के रूप में अनुमानित किया जाता है।

संगीत की संरचना निर्धारित करने वाली योजना।

POST /run/elevenlabs/music?wait=20 कोटेशन → $1.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Elevenlabs Music के बारे में

अधिकतम 4100 वर्णों वाले टेक्स्ट `prompt` या विस्तृत `composition_plan` से संगीत तैयार करता है। प्रॉम्प्ट के साथ `music_length_ms` 3000 से 600000 मिलीसेकंड तक हो सकता है, और `force_instrumental` वोकल न होने की गारंटी देता है। `respect_sections_durations` यह नियंत्रित करता है कि प्लान के सेक्शन के समय का कितनी सख्ती से पालन हो। `output_format` के माध्यम से कई कोडेक और सैंपल-रेट विकल्प उपलब्ध हैं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring | null
≤ 4,100 अक्षर
वांछित संगीत का पाठ्य विवरण।
composition_planवैकल्पिक
प्रकारobject
संगीत की संरचना निर्धारित करने वाली योजना।
composition_plan.positive_global_stylesआवश्यक
प्रकारstring[]
पूरे गीत में शामिल की जाने वाली शैलियाँ।
composition_plan.negative_global_stylesआवश्यक
प्रकारstring[]
पूरे गीत में बाहर रखने की जाने वाली शैलियाँ।
composition_plan.sectionsआवश्यक
प्रकारobject[]
गीत बनाने वाले अनुभाग।
composition_plan.sections[].section_nameआवश्यक
प्रकारstring
1 – 100 characters
अनुभाग का नाम, जिसकी लंबाई 1 से 100 वर्णों तक हो।
composition_plan.sections[].positive_local_stylesआवश्यक
प्रकारstring[]
इस अनुभाग में शामिल की जाने वाली शैलियाँ।
composition_plan.sections[].negative_local_stylesआवश्यक
प्रकारstring[]
इस अनुभाग में बाहर रखने की जाने वाली शैलियाँ।
composition_plan.sections[].duration_msआवश्यक
प्रकारinteger
3,000 – 1,20,000
मिलीसेकंड में अनुभाग की लंबाई, 3000 ms से 120000 ms तक।
composition_plan.sections[].linesआवश्यक
प्रकारstring[]
इस अनुभाग के बोल, प्रत्येक पंक्ति में अधिकतम 200 वर्णों तक सीमित।
music_length_msवैकल्पिक
प्रकारinteger | null
3,000 – 6,00,000
मिलीसेकंड में वैकल्पिक गीत अवधि, 3000 ms से 600000 ms तक; केवल प्रॉम्प्ट का उपयोग करते समय लागू। न दिए जाने पर मॉडल प्रॉम्प्ट से अवधि निर्धारित करता है।
force_instrumentalवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
केवल वाद्य संगीत का नियंत्रण, जो केवल प्रॉम्प्ट का उपयोग करते समय उपलब्ध है। इसे true पर सेट करने से वाद्य आउटपुट सुनिश्चित होता है; false पर प्रॉम्प्ट के अनुसार वाद्य या गैर-वाद्य संगीत बनाया जा सकता है।
respect_sections_durationsवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
`composition_plan` के लिए अनुभाग-समय प्रवर्तन, इस योजना के बाहर इसका कोई प्रभाव नहीं है। False से मॉडल अलग-अलग अनुभागों की लंबाई बदल सकता है, जिससे योजना की कुल गीत अवधि बदले बिना सामान्यतः गुणवत्ता और विलंबता बेहतर होती है; true हर अनुभाग के `duration_ms` को सटीक रूप से लागू करता है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टmp3_44100_128
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3 औरopus_48000_96opus_48000_128opus_48000_192
ऑडियो आउटपुट फ़ॉर्मैट, जो टियर आवश्यकताओं के अधीन है: 192 kbps MP3 के लिए Creator tier या उच्चतर और 44.1 kHz PCM के लिए Pro tier या उच्चतर आवश्यक है। मान `codec_sample_rate_bitrate` का अनुसरण करते हैं; उदाहरण के लिए `mp3_22050_32` 32 kbs पर 22.05 kHz MP3 निर्दिष्ट करता है। Twilio ऑडियो इनपुट के लिए μ-law आमतौर पर उपयोग किया जाता है; इस फ़ॉर्मैट को mu-law भी लिखा जाता है या u-law के रूप में अनुमानित किया जाता है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/music",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1800,
    "usd": "1.80",
    "charged": 1800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}MP3 ऑडियो के रूप में एन्कोड की गई निर्मित संगीत फ़ाइल।

और मॉडल: टेक्स्ट से संगीत

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/elevenlabs/music.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt